---
sidebar_position: 2
description: List running models and other functions to work with Ollama in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Ollama]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# List running models
 Gets a list of running models



`Function ListRunningModels(Val URL, Val AdditionalHeaders = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | Ollama server URL |
  | AdditionalHeaders | --headers | Map Of KeyAndValue | &#x2716; | Additional request headers, if necessary |

  
  Returns:  Map Of KeyAndValue - Processing result

:::tip
Method at API documentation: [List Running Models](https://github.com/ollama/ollama/blob/main/docs/api.md#list-running-models)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL   = "https://hut.openintegrations.dev/ollama";
    Token = "12We34..."; // Authorization - not part API Ollama

    AdditionalHeaders = New Map;
    AdditionalHeaders.Insert("Authorization", StrTemplate("Bearer %1", Token));

    Result = OPI_Ollama.ListRunningModels(URL, AdditionalHeaders);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint ollama ListRunningModels \
             --url "https://hut.openintegrations.dev/ollama" \
             --headers "{'Authorization':'***'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint ollama ListRunningModels ^
             --url "https://hut.openintegrations.dev/ollama" ^
             --headers "{'Authorization':'***'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "models": [
  {
   "name": "mario:latest",
   "model": "mario:latest",
   "size": 1013987328,
   "digest": "83472d32997e219d78e3e480763e7b72beca170aaa02f3f2e2dbf613c248dee4",
   "details": {
    "parent_model": "",
    "format": "gguf",
    "family": "llama",
    "families": [
     "***"
    ],
    "parameter_size": "1.1B",
    "quantization_level": "Q4_0"
   },
   "expires_at": "2025-12-10T21:25:07.961672441Z",
   "size_vram": 0
  }
 ]
}
```
